# Get

Launch stage: Public Preview

`GET /api/data-quality/v1/monitors/{object_type}/{object_id}`

Read a data quality monitor on a Unity Catalog object.

 For the `table` `object_type`, the caller must have either of the following sets of permissions:
 1. **MANAGE** and **USE_CATALOG** on the table's parent catalog.
 2. **USE_CATALOG** on the table's parent catalog, and **MANAGE** and **USE_SCHEMA** on the table's parent schema.
 3. **USE_CATALOG** on the table's parent catalog, **USE_SCHEMA** on the table's parent schema, and **SELECT** on the table.

 For the `schema` `object_type`, the caller must have either of the following sets of permissions:
 1. **MANAGE** and **USE_CATALOG** on the schema's parent catalog.
 2. **USE_CATALOG** on the schema's parent catalog, and **USE_SCHEMA** on the schema.

 The returned information includes configuration values on the entity and parent entity as well as information on
 assets created by the monitor. Some information (e.g. dashboard) may be filtered out
 if the caller is in a different workspace than where the monitor was created.

API scopes: dataquality

## Path parameters

- `object_type` (string, optional)
  The type of the monitored object. Can be one of the following: `schema` or `table`.
- `object_id` (string, optional)
  The UUID of the request object. It is `schema_id` for `schema`, and `table_id` for `table`.
  
   Find the `schema_id` from either:
   1. The [schema_id](https://docs.databricks.com/api/workspace/schemas/get#schema_id) of the `Schemas` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `schema` > go to the `Details` tab > the `Schema ID` field.
  
   Find the `table_id` from either:
   1. The [table_id](https://docs.databricks.com/api/workspace/tables/get#table_id) of the `Tables` resource.
   2. In [Catalog Explorer](https://docs.databricks.com/aws/en/catalog-explorer/) > select the `table` > go to the `Details` tab > the `Table ID` field.

## Returns

Returns the Monitor object.

## Response

```json
{
  "object_type": "schema",
  "object_id": "string",
  "anomaly_detection_config": {
    "excluded_table_full_names": [
      "string"
    ]
  },
  "data_profiling_config": {
    "output_schema_id": "string",
    "assets_dir": "string",
    "inference_log": {},
    "time_series": {},
    "snapshot": {},
    "slicing_exprs": [
      "string"
    ],
    "custom_metrics": [
      {}
    ],
    "baseline_table_name": "string",
    "schedule": {},
    "notification_settings": {},
    "skip_builtin_dashboard": true,
    "warehouse_id": "string",
    "monitored_table_name": "string",
    "status": "string",
    "latest_monitor_failure_message": "string",
    "profile_metrics_table_name": "string",
    "drift_metrics_table_name": "string",
    "dashboard_id": "string",
    "monitor_version": 0,
    "effective_warehouse_id": "string"
  }
}
```

